# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.1.4] - 2024-11-24
### Added
- Nominal Group Technique (NGT) framework implementation
- AI-powered expert role generation
- Multi-perspective analysis capabilities
- Parallel document processing
- Structured output generation
- Configuration system for NGT process
- Integration with Azure OpenAI services
- Async processing support
- Custom exceptions for better error handling

### Changed
- Enhanced documentation structure
- Improved code organization
- Optimized chunking parameters

### Fixed
- Token limit handling in large documents
- Async processing edge cases
- Error propagation in parallel processing

## [0.1.2] - 2024-11-10
### Added
- Refactoring to organize into core and functional modules
- Improved module structure
- Better separation of concerns

### Changed
- Reorganized package structure
- Updated import paths
- Enhanced module documentation

### Fixed
- Import circular dependencies
- Module accessibility issues

## [0.1.1] - 2024-11-08
### Fixed
- Bug fixes in semantic search functionality
- Error handling improvements
- Documentation updates

## [0.1.0] - 2024-11-07
### Added
- Initial release
- Semantic search functionality using Azure OpenAI embeddings
- Persistent storage support
- Comprehensive error handling
- Logging system
- Basic documentation
- Testing framework setup

### Known Issues
- Limited parallel processing capabilities
- Memory optimization needed for large documents

## Types of Changes
- `Added` for new features
- `Changed` for changes in existing functionality
- `Deprecated` for soon-to-be removed features
- `Removed` for now removed features
- `Fixed` for any bug fixes
- `Security` in case of vulnerabilities

## Versioning Strategy
- Major version zero (0.y.z) is for initial development
- Patch version Z (x.y.Z) for backwards compatible bug fixes
- Minor version Y (x.Y.z) for new functionality in a backwards compatible manner
- Major version X (X.y.z) for incompatible API changes

## Upcoming Features
- Enhanced parallel processing
- Memory optimization for large documents
- Additional decision frameworks
- Integration capabilities with other tools
- Improved visualization options
- Extended configuration options
- Performance optimizations